

<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.7.2.1. NormalizerAuto &#8212; Groonga v10.1.1-31-g1e46ba6 documentation</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="7.7.2.2. NormalizerNFKC100" href="normalizer_nfkc100.html" />
    <link rel="prev" title="7.7. Normalizers" href="../normalizers.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">An open-source fulltext search engine and column store.</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../ja/html/reference/normalizers/normalizer_auto.html">日本語</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="normalizer_nfkc100.html" title="7.7.2.2. NormalizerNFKC100"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="../normalizers.html" title="7.7. Normalizers"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../normalizers.html" accesskey="U"><span class="section-number">7.7. </span>Normalizers</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.7.2.1. </span><code class="docutils literal notranslate"><span class="pre">NormalizerAuto</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="normalizerauto">
<span id="normalizer-auto"></span><h1><span class="section-number">7.7.2.1. </span><code class="docutils literal notranslate"><span class="pre">NormalizerAuto</span></code><a class="headerlink" href="#normalizerauto" title="Permalink to this headline">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.7.2.1.1. </span>Summary<a class="headerlink" href="#summary" title="Permalink to this headline">¶</a></h2>
<p>Normally you should use <code class="docutils literal notranslate"><span class="pre">NormalizerAuto</span></code>
normalizer. <code class="docutils literal notranslate"><span class="pre">NormalizerAuto</span></code> was the normalizer for Groonga 2.0.9 or
earlier. <code class="docutils literal notranslate"><span class="pre">KEY_NORMALIZE</span></code> flag in <code class="docutils literal notranslate"><span class="pre">table_create</span></code> on Groonga 2.0.9
or earlier equals to <code class="docutils literal notranslate"><span class="pre">--normalizer</span> <span class="pre">NormalizerAuto</span></code> option in
<code class="docutils literal notranslate"><span class="pre">table_create</span></code> on Groonga 2.1.0 or later.</p>
<p><code class="docutils literal notranslate"><span class="pre">NormalizerAuto</span></code> supports all encoding. It uses Unicode NFKC
(Normalization Form Compatibility Composition) for UTF-8 encoding
text. It uses encoding specific original normalization for other
encodings. The results of those original normalization are similar to
NFKC.</p>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.7.2.1.2. </span>Syntax<a class="headerlink" href="#syntax" title="Permalink to this headline">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">NormalizerAuto</span></code> hasn’t parameter:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>NormalizerAuto
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.7.2.1.3. </span>Usage<a class="headerlink" href="#usage" title="Permalink to this headline">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">NormalizerAuto</span></code> normalizes half-width katakana (such as U+FF76 HALFWIDTH KATAKANA
LETTER KA) + half-width katakana voiced sound mark (U+FF9E HALFWIDTH
KATAKANA VOICED SOUND MARK) to full-width katakana with
voiced sound mark (U+30AC KATAKANA LETTER GA). The former is two
characters but the latter is one character.</p>
<p>Here is an example that uses <code class="docutils literal notranslate"><span class="pre">NormalizerAuto</span></code> normalizer:</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>normalize NormalizerAuto &quot;ｶﾞ&quot;
# [
#   [
#     0,
#     1547239424.874337,
#     0.0001468658447265625
#   ],
#   {
#     &quot;normalized&quot;: &quot;ガ&quot;,
#     &quot;types&quot;: [
#     ],
#     &quot;checks&quot;: [
#     ]
#   }
# ]
</pre></div>
</div>
</div>
<div class="section" id="see-also">
<h2><span class="section-number">7.7.2.1.4. </span>See also<a class="headerlink" href="#see-also" title="Permalink to this headline">¶</a></h2>
<ul class="simple">
<li><p><a class="reference internal" href="../commands/normalize.html"><span class="doc">normalize</span></a></p></li>
</ul>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.7.2.1. <code class="docutils literal notranslate"><span class="pre">NormalizerAuto</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.7.2.1.1. Summary</a></li>
<li><a class="reference internal" href="#syntax">7.7.2.1.2. Syntax</a></li>
<li><a class="reference internal" href="#usage">7.7.2.1.3. Usage</a></li>
<li><a class="reference internal" href="#see-also">7.7.2.1.4. See also</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="../normalizers.html"
                        title="previous chapter"><span class="section-number">7.7. </span>Normalizers</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="normalizer_nfkc100.html"
                        title="next chapter"><span class="section-number">7.7.2.2. </span><code class="docutils literal notranslate"><span class="pre">NormalizerNFKC100</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="normalizer_nfkc100.html" title="7.7.2.2. NormalizerNFKC100"
             >next</a> |</li>
        <li class="right" >
          <a href="../normalizers.html" title="7.7. Normalizers"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../normalizers.html" ><span class="section-number">7.7. </span>Normalizers</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.7.2.1. </span><code class="docutils literal notranslate"><span class="pre">NormalizerAuto</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>